oracle.kv.table

## Interface ReturnRow

- All Superinterfaces:
    Comparable<FieldValue>, FieldValue, RecordValue, Row

      public interface ReturnRow
      extends Row

  ReturnRow is used with put and delete operations to return the previous row value and version.

  A ReturnRow instance may be used as the `prevRecord` parameter to methods such as `TableAPI.put(Row, ReturnRow, WriteOptions)`.

  For best performance, it is important to choose only the properties that are required. The store is optimized to avoid I/O when the requested properties are in cache.

  Note that because both properties are optional, the version property, value property, or both properties may be null.

  Since:
    3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ReturnRow.Choice` Specifies whether to return the row value, version, both or neither.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReturnRow.Choice` | `getReturnChoice()` Returns the Choice of what information is returned.

    - ### Methods inherited from interface oracle.kv.table.Row

      `clone, createPrimaryKey, equals, getTable, getTableVersion, getVersion`

    - ### Methods inherited from interface oracle.kv.table.RecordValue

      `contains, copyFrom, get, getDefinition, getFields, isEmpty, put, put, put, put, put, put, put, put, putArray, putEnum, putFixed, putMap, putNull, putRecord, remove, size`

    - ### Methods inherited from interface oracle.kv.table.FieldValue

      `asArray, asBinary, asBoolean, asDouble, asEnum, asFixedBinary, asFloat, asIndexKey, asInteger, asLong, asMap, asPrimaryKey, asRecord, asRow, asString, getType, isArray, isBinary, isBoolean, isDouble, isEnum, isFixedBinary, isFloat, isIndexKey, isInteger, isLong, isMap, isNull, isPrimaryKey, isRecord, isRow, isString, toJsonString`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getReturnChoice

          ReturnRow.Choice getReturnChoice()

      Returns the Choice of what information is returned.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.